Bug 431322 - Yum Freezes with Simple Searches
Yum Freezes with Simple Searches
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-02 15:21 EST by Chris Spencer
Modified: 2014-01-21 18:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 17:16:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Spencer 2008-02-02 15:21:02 EST
Description of problem:
Yum becomes unresponsive after simple searches, consuming 100% CPU, and must be
killed. This problem is even more severe in pirut, where the GUI becomes unusable.

How reproducible:
Everytime.

Steps to Reproduce:
1. yum search rar
  
Actual results:
Yum cannot be aborted, runs indefinitely, and consumes a large amount of CPU.
Ctrl+C does not work, and the process must be killed.

Expected results:
Yum should not lockup, and should return results quickly. Even for large numbers
of matches, Yum should not require killing.
Comment 1 James Antill 2008-02-02 22:59:10 EST
 A fix for this went into 3.2.10 which is already in rawhide, and that works for
me. Do you still have an older version?
Comment 2 Erik Terwan 2008-02-16 10:03:54 EST
Same problem in Fedora 8.
Comment 3 Seth Vidal 2008-02-16 14:47:27 EST
What version of yum are you using?

Comment 4 James Antill 2008-02-16 17:16:12 EST
 If you want to fix this, do:

 yum install pygpgme
 yum --enablerepo=development install yum

...it's unlikely we'll fix this in Fedora 8 before Fedora 9 is released.

Note You need to log in before you can comment on or make changes to this bug.